%define upstream_name    Hash-Flatten
%define upstream_version 1.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Flatten/unflatten complex data hashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Log::Trace)
BuildRequires: perl(Test::Assertions)
BuildArch: noarch


%description
Converts back and forth between a nested hash structure and a flat hash of
delimited key-value pairs. Useful for protocols that only support key-value
pairs (such as CGI and DBMs).

Functional interface
    * $flat_hash = flatten($nested_hash, \%options)

      Reduces a nested data-structure to key-value form. The top-level
      container must be hashref. For example:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.190.0-12.mga10
+ Revision: 2199363
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.190.0-11.mga9
+ Revision: 1803918
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.190.0-10.mga8
+ Revision: 1494812
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.190.0-9.mga7
+ Revision: 1268450
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.190.0-8.mga6
+ Revision: 1028195
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.190.0-7.mga6
+ Revision: 949790
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.190.0-6.mga5
+ Revision: 790418
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.190.0-5.mga5
+ Revision: 739727
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.190.0-4.mga5
+ Revision: 685024
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.190.0-3.mga4
+ Revision: 512221
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.190.0-2.mga3
+ Revision: 368350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.190.0-1.mga1
+ Revision: 29128
- mageia rebuild
- imported package perl-Hash-Flatten

